summaryrefslogtreecommitdiffstats
path: root/dockerfiles
diff options
context:
space:
mode:
authorCiaran Downey <me@ciarand.me>2014-07-25 12:43:44 -0700
committerCiaran Downey <me@ciarand.me>2014-07-25 12:59:02 -0700
commitcf3021eccac305b9291f27668d997a1ecb40b025 (patch)
treedca7e482e448f99a25aab99b2dbc9d750dcfee18 /dockerfiles
parent5ed5912ef52c8f056c66cb896136249faa8904bd (diff)
downloadgitea-cf3021eccac305b9291f27668d997a1ecb40b025.tar.gz
gitea-cf3021eccac305b9291f27668d997a1ecb40b025.zip
Add the set -e option to dockerfiles/build.sh
Diffstat (limited to 'dockerfiles')
-rwxr-xr-xdockerfiles/build.sh3
1 files changed, 3 insertions, 0 deletions
diff --git a/dockerfiles/build.sh b/dockerfiles/build.sh
index b658db4ecd..4617da1421 100755
--- a/dockerfiles/build.sh
+++ b/dockerfiles/build.sh
@@ -10,6 +10,9 @@ HOST_PORT="YOUR_HOST_PORT" # The port on host, which will be redirected t
# apt source, you can select 'nchc'(mirror in Taiwan) or 'aliyun'(best for mainlance China users) according to your network, if you could connect to the official unbunt mirror in a fast speed, just leave it to "".
APT_SOURCE=""
+# fail immediately if anything goes wrong
+set -e
+
DOCKER_BIN=$(which docker.io || which docker)
if [ -z "$DOCKER_BIN" ] ; then
echo "Please install docker. You can install docker by running \"wget -qO- https://get.docker.io/ | sh\"."